#include <bits/stdc++.h>
using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);
    
    int  n,k;
    cin>>n>>k;
    
    int poz;
    
    int spil[n];
    
    for(int i=0; i<n;i++)
    {
    	cin>>spil[i];
    	if(spil[i]==k) poz=i;
	}
	
	if(poz==n-1) cout<<spil[0];
	else cout<<spil[poz+1];
	
	return 0;
}